package com.aegis.resource.supplier.mapper;

import java.util.List;
import com.aegis.resource.supplier.domain.SupplierLicense;

/**
 * 供应商资质Mapper接口
 * 
 * @author aegis
 */
public interface ResourceSupplierLicenseMapper {

    /**
     * 查询供应商资质列表
     * 
     * @param license 资质信息
     * @return 资质集合
     */
    public List<SupplierLicense> selectSupplierLicenseList(SupplierLicense license);

    /**
     * 根据供应商ID查询资质列表
     * 
     * @param supplierId 供应商ID
     * @return 资质集合
     */
    public List<SupplierLicense> selectSupplierLicenseListBySupplierId(Long supplierId);

    /**
     * 根据ID查询资质
     * 
     * @param id 资质ID
     * @return 资质信息
     */
    public SupplierLicense selectSupplierLicenseById(Long id);

    /**
     * 新增供应商资质
     * 
     * @param license 资质信息
     * @return 结果
     */
    public int insertSupplierLicense(SupplierLicense license);

    /**
     * 修改供应商资质
     * 
     * @param license 资质信息
     * @return 结果
     */
    public int updateSupplierLicense(SupplierLicense license);

    /**
     * 删除供应商资质
     * 
     * @param id 资质ID
     * @return 结果
     */
    public int deleteSupplierLicenseById(Long id);

    /**
     * 根据供应商ID删除所有资质
     * 
     * @param supplierId 供应商ID
     * @return 结果
     */
    public int deleteSupplierLicenseBySupplierId(Long supplierId);
}